IBM WebSphere Portal support statement for Microsoft Internet Explorer version 7

Technote (troubleshooting)


Problem

IBM WebSphere Portal and IBM Web Content Manager (WCM) versions 5.1.0.4 and 6.0.0.1 are now providing support for Microsoft Internet Explorer version 7 users with specific limitations. There are several areas and components where Internet Explorer version 7 is not backwards compatible with WebSphere Portal, such as when rendering the Common PIM Portlets, Lotus Domino and Extended Products Portlets (formerly known as "collaborative" portlets and described as belonging to the Lotus Collaboration Center), the Rich Text Editor, and portlets or portlet applications using iFrames, including the IBM-provided Web Page and Clipping Portlets.

IBM Quality Engineering continues to conduct testing of WebSphere Portal with Internet Explorer version 7 and will update this page as more information becomes available.

Resolving the problem

The majority of WebSphere Portal function is compatible with Internet Explorer version 7. The areas and components with known incompatibilities will be corrected by updates as soon as they are available as shown in the Known Issues table, below. In addition, Internet Explorer version 7 may have introduced incompatibilities with third-party content or your own custom content. Customers who make use of JavaScript or iFrame technologies in custom applications, portlets, themes, and skins are advised to test their own content for compatibility.
With this declaration, support is generally available for WebSphere Portal versions 5.1.0.4 and 6.0.0.1 customers using Internet Explorer version 7. Be sure to check the Known Issues section below prior to contacting IBM support to report a problem and refrain from reporting these again.

Known Issues:


Component

Problem description

Update release schedule

General

User Agent string not recognized

Available (PK36354)*

Web Page Portlet

iFrames not displaying properly

Available (PK32995 for 5.1.0.4 and PK36413 for 6.0.0.1)

Rich Text Editor

Multiple incompatibilities affecting several portlets and applications.

Available (PK36074 and PK36077)

Web Clipping Portlet

framework.js file updated to recognize the browser version

Available (Defect 172543)

*See " Adding a new Supported Client to IBM WebSphere Portal" for version 6.0 to manually enable the portal to identify the Internet Explorer 7.0 User Agent on earlier levels of the portal.

These fixes are available as a group download arranged by version for your convenience here (also linked below under 'Related information'), along with the appropriate version of the Portal Update Installer needed to install many of the fixes. Be sure to review the readme for each file as the specific installation procedure might vary.

WebSphere Portal version 6.0.1 includes support for this version of Internet Explorer as documented in the Information Center (under Software requirements > Supported Web browsers).

These general incompatibilities with Internet Explorer have been identified which might also affect your custom content:
  • JavaScript: When using "window.resizeTo()", need to add padding to the 'height' dimension
  • JavaScript: No dialog box displayed on deleting a row/column
  • JavaScript: Possibility of a 'null' value using "document.getElementById"
  • JavaScript: Possibility of "<container>.scrollWidth" and "<container>.scrollHeight" to be undefined
  • iFrames: Cannot rely on "request.getClient().isCapableOf(Capability.HTML_IFRAME)" to check iFrame availability
  • General: Add Internet Explorer version 7 browser recognition to browser-specific code. For example, add statements to recognize user agent pattern ".*MSIE 7.0.*" as a recognized version of Internet Explorer. See "Adding a new Supported Client to IBM WebSphere Portal" for version 6.0 to manually enable the portal to identify the Internet Explorer 7.0 User Agent on earlier levels of the portal (this procedure provides an effective workaround for the fix for PK36354).

Microsoft also has this information available which might be of use when troubleshooting your custom content:
  • "When you use Internet Explorer 7 to visit a Web site, you may receive error messages that state that you do not have the most current version of Internet Explorer:"
    http://support.microsoft.com/kb/923196

The following links are provided by Microsoft and may be useful in researching and understanding the changes in the browser:

This page will be updated as more information becomes available.

Updated: 14 May 2007

Related information

Direct Download page for all fixes

Cross reference information
Segment Product Component Platform Version Edition
Data & Information Management Workplace Web Content Management Portal Integration AIX, HP-UX, Linux, OS/400, Solaris, Windows 6.0, 5.1.0 Java edition
Organizational Productivity- Portals & Collaboration WebSphere Portal Lotus Domino and Extended Products Portlets
Organizational Productivity- Portals & Collaboration WebSphere Portal End of Support Products Operation 5.1

Rate this page:

(0 users)Average rating

Add comments

Document information


More support for:

WebSphere Portal End of Support Products
Operation

Software version:

6.0

Operating system(s):

AIX, HP-UX, Linux, Solaris, Windows, i5/OS, z/OS

Software edition:

Enable, Extend, Server

Reference #:

1249316

Modified date:

2009-02-17

Translate my page

Machine Translation

Content navigation